volumes
Get if user has all provided volume permissions
Get if user has all provided volume permissions
POST
/
remotefs
/
v1
/
account
/
authz
/
permissions
/
volume
/
:id
Get if user has all provided volume permissions
curl --request POST \
--url https://mycluster.domino.tech/remotefs/v1/account/authz/permissions/volume/:id \
--header 'Content-Type: application/json' \
--data '
{
"mustHave": [],
"principal": {
"token": "<string>"
}
}
'import requests
url = "https://mycluster.domino.tech/remotefs/v1/account/authz/permissions/volume/:id"
payload = {
"mustHave": [],
"principal": { "token": "<string>" }
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({mustHave: [], principal: {token: '<string>'}})
};
fetch('https://mycluster.domino.tech/remotefs/v1/account/authz/permissions/volume/:id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
true{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Path Parameters
ID of Volume to check permissions against
Body
application/json
Volume permissions and user to check against
Available options:
ManageFilesystems, ViewFilesystems, CreateVolumes, ManageVolumesForExecution, ManageVolumes, ReadVolumes, ViewVolumes, MarkVolumesForDeletion, DeleteVolumes, EditSecurityVolumes, EditTaxonomyTags, EditPropertyValues, WorkbenchPermission.PerformNetAppActionsInProject, ReadUserPermissions, ImpersonateUser Show child attributes
Show child attributes
Response
OK
The response is of type boolean.
Last modified on August 18, 2026
Related topics
Gets all permissions for requesting userGet all active Data Source the user has access toGets all non-archived Deployment Targets based on the provided filtersGets all selectable non-archived Deployment Targets based on the provided filtersWas this page helpful?
⌘I
Get if user has all provided volume permissions
